<?php

namespace SimpleDBAL;

class QueryFilter {

    private $column;
    private $value;
    private $operator = "=";

    public function __construct(string $column, $value)
    {
        $this->column = $column;
        $this->value = $value;
    }

    public function setOperator(string $operator): QueryFilter
    {
        $this->operator = $operator;
        return $this;
    }

    /**
     * @return string
     */
    public function getOperator(): string
    {
        return $this->operator;
    }

    /**
     * @return string
     */
    public function getColumn(): string
    {
        return $this->column;
    }

    /**
     * @return mixed
     */
    public function getValue()
    {
        return $this->value;
    }

}